
# Macros
This is a collection of scripts I use to make managing files and processes easier.
Use it to automagically select and run terminal applications, send signals to daemons, execute arbitrary commands, search the web, grab passwords from a password manager, and more.

## Installing dependencies
`sudo apt install pass enscript dunst xclip scrot mpc mpd ghostscript zathura suckless-tools`

All of them are optional except suckless-tools. Many of the features aren't interdependent and are made up of 1 or 2 functions.

## prompt
It's the central script that gives the rest of the features interactivity. Read the source code for more details.
### Usage
	prompt [ launch | action | cmd | ddg | manual ]
	pages [ open ]

## pages
pages is a command for viewing /tmp/pages-{number} files with less or zathura. The files are the result of prompt commands like `prompt action` -> Go page or can be created from your own tools. I use it for viewing documentation.


- [ dmenu ](http://tools.suckless.org/dmenu/) for the prompts. It can be changed to rofi or some other solution
- scrot and xclip for screenshots
- all scripts assume your prefered terminal is [ st ](http://st.suckless.org)
- mpc is for media controls
- commands that display information from man pages, godoc, logs, etc
  do it using `enscript -p - | ps2pdf - | zathura -`. I'm considering
  more minimal combinations like enscript and surf or st and less but
  they create their own set of problems. This solution makes future
  changes easy without becoming too complicated

Use it to automagically select and run terminal applications, send signals to daemons, execute arbitrary commands, search the web, grab passwords from the password manager, and more.

#### TODO
- Finish vpn and networking stuff after ini script is finished, then make sure printf in case goes to stderror which is shown in bar
- Add ddg search prompt
- setup pass
- variables to the script to make assumed paths easier to change
- show script for man pages, pkg info, and other things
- command to clipboard
- emoji select to clipboard
- system of additional clipboards using /tmp files 
- use attach-session -t . -c /dir for selecting multiplexer directory
- ddg fill options should be taken from bookmarks or history
- Make password prompts green
- Figure out range selecting for parsing passwords
- Figure out using dmenu instead of gnome key prompt
